List media
GET
/media
const url = 'https://postflow.biz.id/api/v1/media?kind=image';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://postflow.biz.id/api/v1/media?kind=image' \ --header 'Authorization: Bearer <token>'Newest first, 60 per page. For the next page, send the last item’s createdAt as before.
MCP tool: list_media.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”kind
string
q
string
Part of the file name.
before
string format: date-time
Responses
Section titled “Responses”OK
Media typeapplication/json
Array
object
id
required
Use in mediaIds.
string
kind
required
string
mime
required
string
sizeBytes
required
integer
originalName
required
string
url
required
App path of the file. With the API, download it from /media/{id}/file.
string
createdAt
required
string format: date-time
usedIn
required
Posts using the file.
integer
Example
[ { "kind": "image", "mime": "image/jpeg" }]Missing, invalid, expired or deleted key or token.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
A sentence you can show to a person.
string
details
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}More than 120 requests in a minute with this key.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
A sentence you can show to a person.
string
details
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}